{$apptype console}

const n = 50;

var i: longint;

begin
  writeln(2 * n);

  for i := 1 to 2 * n - 2 do begin
    write(n + 17, ' ');
  end;
  writeln(17, ' ', n + 18);

  for i := 1 to n - 1 do begin
    write(i, ' ', i, ' ');
  end;
  writeln(n);
end.